CINEOOB(1)

NAME
cineoob - search movies and persons around cinema

SYNOPSIS
cineoob [-dqv] [-b backends] [-cnfs] [command [arguments..]]
cineoob [--help] [--version]

DESCRIPTION

Console application allowing to search for movies and persons on various cinema databases , list persons related to a movie, list movies related to a person and list common movies of two persons.

CINEOOB COMMANDS

biography  person_ID
    Show the complete biography of a person.

casting  movie_ID  [ROLE]
    List persons related to a movie.
    If ROLE is given, filter by ROLE

filmography  person_ID  [ROLE]
    List movies of a person.
    If ROLE is given, filter by ROLE

getfile_subtitle subtitle_ID [FILENAME]
    Get the subtitle or archive file.
    FILENAME is where to write the file. If FILENAME is '-',
    the file is written to stdout.

getfile_torrent ID [FILENAME]
    Get the .torrent file.
    FILENAME is where to write the file. If FILENAME is '-',
    the file is written to stdout.

info_movie  movie_ID
    Get information about a movie.

info_person  person_ID
    Get information about a person.

info_subtitle subtitle_ID
    Get information about a subtitle.

info_torrent ID
    Get information about a torrent.

movies_in_common  person_ID  person_ID
    Get the list of common movies between two persons.

persons_in_common  movie_ID  movie_ID
    Get the list of common persons between two movies.

releases  movie_ID [COUNTRY]
    Get releases dates of a movie.
    If COUNTRY is given, show release in this country.

search_movie  [PATTERN]
    Search movies.
    Default is limited to 10 results.

search_movie_subtitle language movie_ID
    Search subtitles of movie_ID.
    Language Abbreviation
    ----------------------
    Arabic ar Esperanto eo Irish ga Russian ru
    Afrikaans af Estonian et Italian it Serbian sr
    Albanian sq Filipino tl Japanese ja Slovak sk
    Armenian hy Finnish fi Kannada kn Slovenian sl
    Azerbaijani az French fr Korean ko Spanish es
    Basque eu Galician gl Latin la Swahili sw
    Belarusian be Georgian ka Latvian lv Swedish sv
    Bengali bn German de Lithuanian lt Tamil ta
    Bulgarian bg Greek gr Macedonian mk Telugu te
    Catalan ca Gujarati gu Malay ms Thai th
    Chinese zh Haitian ht Maltese mt Turkish tr
    Croatian hr Hebrew iw Norwegian no Ukrainian uk
    Czech cz Hindi hi Persian fa Urdu ur
    Danish da Hungaric hu Polish pl Vietnamese vi
    Dutch nl Icelandic is Portuguese pt Welsh cy
    English en Indonesian id Romanian ro Yiddish yi
    ----------------------
    Default is limited to 10 results.

search_movie_torrent movie_ID
    Search torrents of movie_ID.
    Default is limited to 10 results.

search_person  [PATTERN]
    Search persons.
    Default is limited to 10 results.

search_subtitle language [PATTERN]
    Search subtitles.
    Language Abbreviation
    ----------------------
    Arabic ar Esperanto eo Irish ga Russian ru
    Afrikaans af Estonian et Italian it Serbian sr
    Albanian sq Filipino tl Japanese ja Slovak sk
    Armenian hy Finnish fi Kannada kn Slovenian sl
    Azerbaijani az French fr Korean ko Spanish es
    Basque eu Galician gl Latin la Swahili sw
    Belarusian be Georgian ka Latvian lv Swedish sv
    Bengali bn German de Lithuanian lt Tamil ta
    Bulgarian bg Greek gr Macedonian mk Telugu te
    Catalan ca Gujarati gu Malay ms Thai th
    Chinese zh Haitian ht Maltese mt Turkish tr
    Croatian hr Hebrew iw Norwegian no Ukrainian uk
    Czech cz Hindi hi Persian fa Urdu ur
    Danish da Hungaric hu Polish pl Vietnamese vi
    Dutch nl Icelandic is Portuguese pt Welsh cy
    English en Indonesian id Romanian ro Yiddish yi
    ----------------------
    Default is limited to 10 results.

search_torrent [PATTERN]
    Search torrents.
    Default is limited to 10 results.

WEBOOB COMMANDS

backends [ACTION] [BACKEND_NAME]...
    Select used backends.
    ACTION is one of the following (default: list):
    * enable enable given backends
    * disable disable given backends
    * only enable given backends and disable the others
    * list list backends
    * add add a backend
    * register register a new account on a website
    * edit edit a backend
    * remove remove a backend
    * list-modules list modules

cd [PATH]
    Follow a path.
    ".." is a special case and goes up one directory.
    "" is a special case and goes home.

condition [EXPRESSION | off]
    If an argument is given, set the condition expression used to filter the results.
    If the "off" value is given, conditional filtering is disabled.
    If no argument is given, print the current condition expression.

count [NUMBER | off]
    If an argument is given, set the maximum number of results fetched.
    NUMBER must be at least 1.
    "off" value disables counting, and allows infinite searches.
    If no argument is given, print the current count value.

formatter [list | FORMATTER [COMMAND] | option OPTION_NAME [on | off]]
    If a FORMATTER is given, set the formatter to use.
    You can add a COMMAND to apply the formatter change only to
    a given command.
    If the argument is "list", print the available formatters.
    If the argument is "option", set the formatter options.
    Valid options are: header, keys.
    If on/off value is given, set the value of the option.
    If not, print the current value for the option.
    If no argument is given, print the current formatter.

inspect BACKEND_NAME
    Display the HTML string of the current page of the specified backend's browser.
    If webkit_mechanize_browser Python module is installed, HTML is displayed in a WebKit GUI.

logging [LEVEL]
    Set logging level.
    Availables: debug, info, warning, error.
    * quiet is an alias for error
    * default is an alias for warning

ls [-d] [PATH]
    List objects in current path.
    If an argument is given, list the specified path.

quit
    Quit the application.

select [FIELD_NAME]... | "$direct" | "$full"
    If an argument is given, set the selected fields.
    $direct selects all fields loaded in one http request.
    $full selects all fields using as much http requests as necessary.
    If no argument is given, print the currently selected fields.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

RESULTS OPTIONS

-c CONDITION, --condition=CONDITION
    filter result items to display given a boolean expression

-n COUNT, --count=COUNT
    limit number of results (from each backends)

-s SELECT, --select=SELECT
    select result item keys to display (comma separated)

FORMATTING OPTIONS

-f FORMATTER, --formatter=FORMATTER
    select output formatter (csv, htmltable, json, movie_info, movie_list, movie_releases, multiline, person_bio, person_info, person_list, simple, subtitle_info, subtitle_list, table, torrent_info, torrent_list, webkit)

--no-header
    do not display header

--no-keys
    do not display item keys

-O OUTFILE, --outfile=OUTFILE
    file to export result

COPYRIGHT
Copyright(C) 2013 Julien Veyssier

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/cineoob